<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<project author="wangbing" database="SQLite" domain="xyz.wbsite" frame="网页框架" name="wadmin" needAsync="false"
         needCloud="false" needEMail="false" needMoreDB="false">
    <modules>
        <module name="wsvr" needGenerate="false" note="基础服务" prefix="SYS_">
            <table ajax="false" api="false" create="true" delete="true" find="true" get="false" html="false"
                   search="false" sys="true" tableComment="序列" tableName="SEQUENCE" update="true">
                <field defaultValue="" fieldComment="主键" fieldLength="0" fieldName="ID" fieldType="Long" isMust="true"
                       isPrimaryKey="true" isQuery="false" isSearch="false" isSystem="true" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="序列名称" fieldLength="50" fieldName="SEQ_NAME"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="序列备注" fieldLength="50" fieldName="SEQ_NOTE"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="年" fieldLength="4" fieldName="YEAR" fieldType="String_var"
                       isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="月" fieldLength="2" fieldName="MONTH" fieldType="String_var"
                       isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="日" fieldLength="2" fieldName="DATE" fieldType="String_var"
                       isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="下一个值" fieldLength="0" fieldName="NEXT_VALUE"
                       fieldType="Integer" isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="" fieldComment="行版本" fieldLength="0" fieldName="ROW_VERSION" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="0" fieldComment="是否已删除" fieldLength="0" fieldName="IS_DELETED" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="创建用户" fieldLength="0" fieldName="CREATE_BY" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="创建时间" fieldLength="0" fieldName="CREATE_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新用户" fieldLength="0" fieldName="LAST_UPDATE_BY" fieldType="Long"
                       isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新时间" fieldLength="0" fieldName="LAST_UPDATE_TIME"
                       fieldType="Date" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
            </table>
            <table ajax="true" api="false" create="true" delete="true" find="true" get="false" html="true"
                   search="false" sys="true" tableComment="错误日志" tableName="LOGERR" update="true">
                <field defaultValue="" fieldComment="主键" fieldLength="0" fieldName="ID" fieldType="Long" isMust="true"
                       isPrimaryKey="true" isQuery="false" isSearch="false" isSystem="true" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="日志类型" fieldLength="20" fieldName="LOG_TYPE" fieldType="Select"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false">
                    <selectItem label="系统错误" value="系统错误"/>
                    <selectItem label="任务错误" value="任务错误"/>
                    <selectItem label="业务错误" value="业务错误"/>
                </field>
                <field defaultValue="NULL" fieldComment="任务标题" fieldLength="50" fieldName="LOG_TITLE"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="日志描述" fieldLength="500" fieldName="LOG_NOTE"
                       fieldType="String_var500" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="日志状态" fieldLength="20" fieldName="LOG_STATE" fieldType="Select"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false">
                    <selectItem label="待处理" value="0"/>
                    <selectItem label="处理中" value="1"/>
                    <selectItem label="已处理" value="2"/>
                </field>
                <field defaultValue="" fieldComment="行版本" fieldLength="0" fieldName="ROW_VERSION" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="0" fieldComment="是否已删除" fieldLength="0" fieldName="IS_DELETED" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="创建用户" fieldLength="0" fieldName="CREATE_BY" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="创建时间" fieldLength="0" fieldName="CREATE_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新用户" fieldLength="0" fieldName="LAST_UPDATE_BY" fieldType="Long"
                       isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新时间" fieldLength="0" fieldName="LAST_UPDATE_TIME"
                       fieldType="Date" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
            </table>
            <table ajax="true" api="false" create="true" delete="true" find="true" get="false" html="true"
                   search="false" sys="true" tableComment="系统配置" tableName="PROFILES" update="true">
                <field defaultValue="" fieldComment="主键" fieldLength="0" fieldName="ID" fieldType="Long" isMust="true"
                       isPrimaryKey="true" isQuery="false" isSearch="false" isSystem="true" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="环境" fieldLength="20" fieldName="ACTIVE" fieldType="Select"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false">
                    <selectItem label="开发环境" value="dev"/>
                    <selectItem label="生产环境" value="prod"/>
                </field>
                <field defaultValue="NULL" fieldComment="配置键" fieldLength="50" fieldName="KEY" fieldType="String_var50"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="true"/>
                <field defaultValue="NULL" fieldComment="配置值" fieldLength="50" fieldName="VALUE"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="" fieldComment="行版本" fieldLength="0" fieldName="ROW_VERSION" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="0" fieldComment="是否已删除" fieldLength="0" fieldName="IS_DELETED" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="创建用户" fieldLength="0" fieldName="CREATE_BY" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="创建时间" fieldLength="0" fieldName="CREATE_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新用户" fieldLength="0" fieldName="LAST_UPDATE_BY" fieldType="Long"
                       isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新时间" fieldLength="0" fieldName="LAST_UPDATE_TIME"
                       fieldType="Date" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
            </table>
        </module>
        <module name="wsys" needGenerate="true" note="系统服务" prefix="SYS_">
            <table ajax="true" api="false" create="true" delete="true" find="true" get="false" html="true"
                   search="false" sys="true" tableComment="字典" tableName="DICT" update="true">
                <field defaultValue="" fieldComment="主键" fieldLength="0" fieldName="ID" fieldType="Long" isMust="true"
                       isPrimaryKey="true" isQuery="false" isSearch="false" isSystem="true" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="字典名称" fieldLength="50" fieldName="DICT_NAME"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="字典描述" fieldLength="50" fieldName="DICT_COMMENT"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="字典版本" fieldLength="50" fieldName="VERSION"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="是否有效" fieldLength="0" fieldName="VALID" fieldType="Boolean"
                       isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="行版本" fieldLength="0" fieldName="ROW_VERSION" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="0" fieldComment="是否已删除" fieldLength="0" fieldName="IS_DELETED" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="创建用户" fieldLength="0" fieldName="CREATE_BY" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="创建时间" fieldLength="0" fieldName="CREATE_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新用户" fieldLength="0" fieldName="LAST_UPDATE_BY" fieldType="Long"
                       isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新时间" fieldLength="0" fieldName="LAST_UPDATE_TIME"
                       fieldType="Date" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
            </table>
            <table ajax="true" api="false" create="true" delete="true" find="true" get="false" html="true"
                   search="false" sys="true" tableComment="字典项" tableName="DICT_ITEM" update="true">
                <field defaultValue="" fieldComment="主键" fieldLength="0" fieldName="ID" fieldType="Long" isMust="true"
                       isPrimaryKey="true" isQuery="false" isSearch="false" isSystem="true" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="字典名称" fieldLength="50" fieldName="DICT_NAME"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="字典键" fieldLength="20" fieldName="KEY" fieldType="String_var"
                       isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="字典值" fieldLength="50" fieldName="VALUE"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="排序" fieldLength="0" fieldName="SORT" fieldType="Integer"
                       isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="是否有效" fieldLength="0" fieldName="VALID" fieldType="Boolean"
                       isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="行版本" fieldLength="0" fieldName="ROW_VERSION" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="0" fieldComment="是否已删除" fieldLength="0" fieldName="IS_DELETED" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="创建用户" fieldLength="0" fieldName="CREATE_BY" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="创建时间" fieldLength="0" fieldName="CREATE_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新用户" fieldLength="0" fieldName="LAST_UPDATE_BY" fieldType="Long"
                       isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新时间" fieldLength="0" fieldName="LAST_UPDATE_TIME"
                       fieldType="Date" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
            </table>
            <table ajax="true" api="false" create="true" delete="true" find="true" get="false" html="true"
                   search="false" sys="true" tableComment="资源" tableName="RES" update="true">
                <field defaultValue="" fieldComment="主键" fieldLength="0" fieldName="ID" fieldType="Long" isMust="true"
                       isPrimaryKey="true" isQuery="false" isSearch="false" isSystem="true" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="资源代码" fieldLength="50" fieldName="RES_CODE"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="资源名称" fieldLength="50" fieldName="RES_NAME"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="资源类型" fieldLength="20" fieldName="RES_TYPE" fieldType="Select"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false">
                    <selectItem label="网页" value="WEB"/>
                    <selectItem label="终端" value="API"/>
                </field>
                <field defaultValue="NULL" fieldComment="资源内容" fieldLength="255" fieldName="RES_VALUE"
                       fieldType="String_var255" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="上级代码" fieldLength="50" fieldName="SUP_CODE"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="上级名称" fieldLength="50" fieldName="SUP_NAME"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="是否免费" fieldLength="0" fieldName="FREE" fieldType="Boolean"
                       isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="是否有效" fieldLength="0" fieldName="VALID" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="行版本" fieldLength="0" fieldName="ROW_VERSION" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="0" fieldComment="是否已删除" fieldLength="0" fieldName="IS_DELETED" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="创建用户" fieldLength="19" fieldName="CREATE_BY" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="创建时间" fieldLength="0" fieldName="CREATE_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新用户" fieldLength="19" fieldName="LAST_UPDATE_BY"
                       fieldType="Long" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新时间" fieldLength="0" fieldName="LAST_UPDATE_TIME"
                       fieldType="Date" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
            </table>
            <table ajax="true" api="false" create="true" delete="true" find="true" get="false" html="true"
                   search="false" sys="true" tableComment="用户" tableName="USER" update="true">
                <field defaultValue="" fieldComment="主键" fieldLength="0" fieldName="ID" fieldType="Long" isMust="true"
                       isPrimaryKey="true" isQuery="false" isSearch="false" isSystem="true" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="用户账户" fieldLength="100" fieldName="USER_NAME"
                       fieldType="String_var100" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="用户代码" fieldLength="50" fieldName="USER_CODE"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="用户别名" fieldLength="50" fieldName="USER_ALIAS"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="用户密码" fieldLength="50" fieldName="USER_PWD"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="用户状态" fieldLength="20" fieldName="USER_STATUS"
                       fieldType="Select" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false">
                    <selectItem label="无效" value="0"/>
                    <selectItem label="有效" value="1"/>
                    <selectItem label="初始密码" value="2"/>
                </field>
                <field defaultValue="NULL" fieldComment="部门主键" fieldLength="0" fieldName="DEPT_ID" fieldType="Long"
                       isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="部门代码" fieldLength="50" fieldName="DEPT_CODE"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="部门名称" fieldLength="100" fieldName="DEPT_NAME"
                       fieldType="String_var100" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="" fieldComment="行版本" fieldLength="0" fieldName="ROW_VERSION" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="0" fieldComment="是否已删除" fieldLength="0" fieldName="IS_DELETED" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="创建用户" fieldLength="0" fieldName="CREATE_BY" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="创建时间" fieldLength="0" fieldName="CREATE_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新用户" fieldLength="19" fieldName="LAST_UPDATE_BY"
                       fieldType="Long" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新时间" fieldLength="0" fieldName="LAST_UPDATE_TIME"
                       fieldType="Date" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
            </table>
            <table ajax="true" api="false" create="true" delete="true" find="true" get="false" html="true"
                   search="false" sys="true" tableComment="部门" tableName="DEPT" update="true">
                <field defaultValue="" fieldComment="主键" fieldLength="0" fieldName="ID" fieldType="Long" isMust="true"
                       isPrimaryKey="true" isQuery="false" isSearch="false" isSystem="true" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="部门代码" fieldLength="50" fieldName="DEPT_CODE"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="部门名称" fieldLength="100" fieldName="DEPT_NAME"
                       fieldType="String_var100" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="部门别名" fieldLength="50" fieldName="DEPT_ALIAS"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="上级代码" fieldLength="50" fieldName="SUP_CODE"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="上级名称" fieldLength="100" fieldName="SUP_NAME"
                       fieldType="String_var100" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="是否有效" fieldLength="0" fieldName="VALID" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false">
                    <selectItem label="有效" value="true"/>
                    <selectItem label="无效" value="false"/>
                </field>
                <field defaultValue="" fieldComment="行版本" fieldLength="0" fieldName="ROW_VERSION" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="0" fieldComment="是否已删除" fieldLength="0" fieldName="IS_DELETED" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="创建用户" fieldLength="0" fieldName="CREATE_BY" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="创建时间" fieldLength="0" fieldName="CREATE_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新用户" fieldLength="0" fieldName="LAST_UPDATE_BY" fieldType="Long"
                       isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新时间" fieldLength="0" fieldName="LAST_UPDATE_TIME"
                       fieldType="Date" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
            </table>
            <table ajax="true" api="false" create="true" delete="true" find="true" get="false" html="true"
                   search="false" sys="true" tableComment="角色" tableName="ROLE" update="true">
                <field defaultValue="" fieldComment="主键" fieldLength="0" fieldName="ID" fieldType="Long" isMust="true"
                       isPrimaryKey="true" isQuery="false" isSearch="false" isSystem="true" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="角色代码" fieldLength="50" fieldName="CODE"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="角色名称" fieldLength="50" fieldName="NAME"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="角色描述" fieldLength="50" fieldName="COMMENT"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="" fieldComment="行版本" fieldLength="0" fieldName="ROW_VERSION" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="0" fieldComment="是否已删除" fieldLength="0" fieldName="IS_DELETED" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="创建用户" fieldLength="0" fieldName="CREATE_BY" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="创建时间" fieldLength="0" fieldName="CREATE_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新用户" fieldLength="0" fieldName="LAST_UPDATE_BY" fieldType="Long"
                       isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新时间" fieldLength="0" fieldName="LAST_UPDATE_TIME"
                       fieldType="Date" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
            </table>
            <table ajax="true" api="false" create="true" delete="true" find="true" get="false" html="true"
                   search="false" sys="true" tableComment="通行证" tableName="TOKENS" update="true">
                <field defaultValue="" fieldComment="主键" fieldLength="0" fieldName="ID" fieldType="Long" isMust="true"
                       isPrimaryKey="true" isQuery="false" isSearch="false" isSystem="true" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="登录令牌" fieldLength="50" fieldName="TOKEN"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="用户主键" fieldLength="0" fieldName="USER_ID" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="用户名称" fieldLength="50" fieldName="USER_NAME"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="登录时间" fieldLength="0" fieldName="LOGIN_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="有效时间" fieldLength="0" fieldName="VALID_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="是否有效" fieldLength="0" fieldName="VALID" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="部门主键" fieldLength="0" fieldName="DEPT_ID" fieldType="Long"
                       isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="部门代码" fieldLength="50" fieldName="DEPT_CODE"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="部门名称" fieldLength="100" fieldName="DEPT_NAME"
                       fieldType="String_var100" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="终端类型" fieldLength="20" fieldName="TERMINAL" fieldType="Select"
                       isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false">
                    <selectItem label="网页" value="WEB"/>
                    <selectItem label="终端" value="API"/>
                </field>
                <field defaultValue="NULL" fieldComment="终端地址" fieldLength="50" fieldName="TERMINAL_IP"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="终端信息" fieldLength="500" fieldName="TERMINAL_INFO"
                       fieldType="String_var500" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="" fieldComment="行版本" fieldLength="0" fieldName="ROW_VERSION" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="0" fieldComment="是否已删除" fieldLength="0" fieldName="IS_DELETED" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="创建用户" fieldLength="0" fieldName="CREATE_BY" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="创建时间" fieldLength="0" fieldName="CREATE_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新用户" fieldLength="0" fieldName="LAST_UPDATE_BY" fieldType="Long"
                       isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新时间" fieldLength="0" fieldName="LAST_UPDATE_TIME"
                       fieldType="Date" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
            </table>
            <table ajax="true" api="false" create="true" delete="true" find="true" get="false" html="true"
                   search="false" sys="true" tableComment="文件" tableName="FILE" update="true">
                <field defaultValue="" fieldComment="主键" fieldLength="0" fieldName="ID" fieldType="Long" isMust="true"
                       isPrimaryKey="true" isQuery="false" isSearch="false" isSystem="true" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="文件名称" fieldLength="255" fieldName="NAME"
                       fieldType="String_var255" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="文件类型" fieldLength="20" fieldName="FILE_TYPE" fieldType="Select"
                       isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false">
                    <selectItem label="图片" value="IMG"/>
                    <selectItem label="文档" value="DOC"/>
                </field>
                <field defaultValue="NULL" fieldComment="扩展属性1" fieldLength="50" fieldName="ATTRIBUTE1"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="扩展属性2" fieldLength="50" fieldName="ATTRIBUTE2"
                       fieldType="String_var50" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="存放地址" fieldLength="500" fieldName="LOCATION"
                       fieldType="String_var500" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="访问地址" fieldLength="500" fieldName="URL"
                       fieldType="String_var500" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="下载地址" fieldLength="500" fieldName="URL_DOWNLOAD"
                       fieldType="String_var500" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="" fieldComment="行版本" fieldLength="0" fieldName="ROW_VERSION" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="0" fieldComment="是否已删除" fieldLength="0" fieldName="IS_DELETED" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="创建用户" fieldLength="0" fieldName="CREATE_BY" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="创建时间" fieldLength="0" fieldName="CREATE_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新用户" fieldLength="0" fieldName="LAST_UPDATE_BY" fieldType="Long"
                       isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新时间" fieldLength="0" fieldName="LAST_UPDATE_TIME"
                       fieldType="Date" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
            </table>
            <table ajax="true" api="false" create="true" delete="true" find="true" get="false" html="false"
                   search="false" sys="true" tableComment="用户角色授权" tableName="USER_ROLE" update="true">
                <field defaultValue="" fieldComment="主键" fieldLength="0" fieldName="ID" fieldType="Long" isMust="true"
                       isPrimaryKey="true" isQuery="false" isSearch="false" isSystem="true" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="用户主键" fieldLength="0" fieldName="USER_ID" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="用户代码" fieldLength="50" fieldName="USER_CODE"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="角色主键" fieldLength="0" fieldName="ROLE_ID" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="角色代码" fieldLength="50" fieldName="ROLE_CODE"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="" fieldComment="行版本" fieldLength="0" fieldName="ROW_VERSION" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="0" fieldComment="是否已删除" fieldLength="0" fieldName="IS_DELETED" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="创建用户" fieldLength="0" fieldName="CREATE_BY" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="创建时间" fieldLength="0" fieldName="CREATE_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新用户" fieldLength="0" fieldName="LAST_UPDATE_BY" fieldType="Long"
                       isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新时间" fieldLength="0" fieldName="LAST_UPDATE_TIME"
                       fieldType="Date" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
            </table>
            <table ajax="true" api="false" create="true" delete="true" find="true" get="false" html="false"
                   search="false" sys="true" tableComment="角色资源关系" tableName="ROLE_RES" update="true">
                <field defaultValue="" fieldComment="主键" fieldLength="0" fieldName="ID" fieldType="Long" isMust="true"
                       isPrimaryKey="true" isQuery="false" isSearch="false" isSystem="true" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="角色主键" fieldLength="0" fieldName="ROLE_ID" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="角色代码" fieldLength="50" fieldName="ROLE_CODE"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="资源主键" fieldLength="0" fieldName="RES_ID" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="资源代码" fieldLength="50" fieldName="RES_CODE"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="" fieldComment="行版本" fieldLength="0" fieldName="ROW_VERSION" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="0" fieldComment="是否已删除" fieldLength="0" fieldName="IS_DELETED" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="创建用户" fieldLength="0" fieldName="CREATE_BY" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="创建时间" fieldLength="0" fieldName="CREATE_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新用户" fieldLength="0" fieldName="LAST_UPDATE_BY" fieldType="Long"
                       isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新时间" fieldLength="0" fieldName="LAST_UPDATE_TIME"
                       fieldType="Date" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
            </table>
            <table ajax="true" api="false" create="true" delete="true" find="true" get="false" html="true"
                   search="false" sys="true" tableComment="SQL任务" tableName="TASK_SQL" update="true">
                <field defaultValue="" fieldComment="主键" fieldLength="0" fieldName="ID" fieldType="Long" isMust="true"
                       isPrimaryKey="true" isQuery="false" isSearch="false" isSystem="true" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="任务名称" fieldLength="50" fieldName="TASK_NAME"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="详细注释" fieldLength="255" fieldName="TASK_NOTE"
                       fieldType="String_var255" isMust="false" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="任务类型" fieldLength="20" fieldName="TASK_TYPE" fieldType="Select"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false">
                    <selectItem label="Cron表达式" value="Cron"/>
                    <selectItem label="间隔重复(秒)" value="DelayRepeat"/>
                    <selectItem label="绝对重复(秒)" value="FixRepeat"/>
                </field>
                <field defaultValue="NULL" fieldComment="任务类型值" fieldLength="50" fieldName="TYPE_VALUE"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="任务SQL" fieldLength="2500" fieldName="TASK_SQL"
                       fieldType="String_var2500" isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="是否有效" fieldLength="0" fieldName="VALID" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="行版本" fieldLength="0" fieldName="ROW_VERSION" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="0" fieldComment="是否已删除" fieldLength="0" fieldName="IS_DELETED" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="创建用户" fieldLength="0" fieldName="CREATE_BY" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="创建时间" fieldLength="0" fieldName="CREATE_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新用户" fieldLength="0" fieldName="LAST_UPDATE_BY" fieldType="Long"
                       isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新时间" fieldLength="0" fieldName="LAST_UPDATE_TIME"
                       fieldType="Date" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
            </table>
            <table ajax="true" api="false" create="true" delete="true" find="true" get="false" html="false"
                   search="false" sys="true" tableComment="应用接入" tableName="VISITOR" update="true">
                <field defaultValue="" fieldComment="主键" fieldLength="0" fieldName="ID" fieldType="Long" isMust="true"
                       isPrimaryKey="true" isQuery="false" isSearch="false" isSystem="true" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="应用名称" fieldLength="50" fieldName="APP_NAME"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="应用简介" fieldLength="255" fieldName="APP_NOTE"
                       fieldType="String_var255" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="应用码" fieldLength="50" fieldName="APP_KEY"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="true"/>
                <field defaultValue="NULL" fieldComment="安全码" fieldLength="16" fieldName="APP_SECRET"
                       fieldType="String_var" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="是否有效" fieldLength="0" fieldName="VALID" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="行版本" fieldLength="0" fieldName="ROW_VERSION" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="0" fieldComment="是否已删除" fieldLength="0" fieldName="IS_DELETED" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="创建用户" fieldLength="0" fieldName="CREATE_BY" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="创建时间" fieldLength="0" fieldName="CREATE_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新用户" fieldLength="0" fieldName="LAST_UPDATE_BY" fieldType="Long"
                       isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新时间" fieldLength="0" fieldName="LAST_UPDATE_TIME"
                       fieldType="Date" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
            </table>
            <table ajax="true" api="false" create="true" delete="true" find="true" get="false" html="false"
                   search="false" sys="true" tableComment="应用资源关系" tableName="VISITOR_RES" update="true">
                <field defaultValue="" fieldComment="主键" fieldLength="0" fieldName="ID" fieldType="Long" isMust="true"
                       isPrimaryKey="true" isQuery="false" isSearch="false" isSystem="true" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="应用主键" fieldLength="0" fieldName="APP_ID" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="应用码" fieldLength="50" fieldName="APP_KEY"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="NULL" fieldComment="资源主键" fieldLength="0" fieldName="RES_ID" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false" isSystem="false"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="资源代码" fieldLength="50" fieldName="RES_CODE"
                       fieldType="String_var50" isMust="true" isPrimaryKey="false" isQuery="true" isSearch="false"
                       isSystem="false" isUnique="false"/>
                <field defaultValue="" fieldComment="行版本" fieldLength="0" fieldName="ROW_VERSION" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="0" fieldComment="是否已删除" fieldLength="0" fieldName="IS_DELETED" fieldType="Boolean"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="创建用户" fieldLength="0" fieldName="CREATE_BY" fieldType="Long"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="NULL" fieldComment="创建时间" fieldLength="0" fieldName="CREATE_TIME" fieldType="Date"
                       isMust="true" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新用户" fieldLength="0" fieldName="LAST_UPDATE_BY" fieldType="Long"
                       isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false" isSystem="true"
                       isUnique="false"/>
                <field defaultValue="" fieldComment="最后更新时间" fieldLength="0" fieldName="LAST_UPDATE_TIME"
                       fieldType="Date" isMust="false" isPrimaryKey="false" isQuery="false" isSearch="false"
                       isSystem="true" isUnique="false"/>
            </table>
        </module>
    </modules>
</project>
